Upgrading to BuddyPress 1.1.2

I got a notice in my dashboard that a more current version of Buddypress was available so clicked on the autoupdate option.

After deleting the previous version of the plugin and installing 1.1.2, I get the following error.

cannot redeclare bp_activity_install() (previously declared in /home/bookclub/public_html/wp-content/plugins/buddypress/bp-activity.php:19) in /home/bookclub/public_html/wp-content/plugins/buddypress/bp-activity.php on line 52

I also had notice that I could upgrade to the latest version of mu - 2.8.5.2 (which maybe I should have done first). When I try and update now I get the following error

Fatal error: Class 'BP_Groups_Group' not found in /home/bookclub/public_html/wp-content/plugins/bp-group-calendar/bp-group-calendar.php on line 122

  • Andrew
    • Champion of Loops

    Hiya,

    I'm afraid we don't recommend using the auto-update feature. Most people seem to have issues when using that feature. Instead we recommend manually uploading the new files (overwriting the old files).

    Also, when upgrading BuddyPress you always need to deactivate any BP plugins first (such as the BP Group Calendar plugin).

    Thanks,
    Andrew

  • pezelle
    • WPMU DEV Initiate

    Thanks Andrew. The readme file said if you were on 1.1 or later to ignore the installation instructions which happened to have a big fact notice that said 'deactivate the plugin first' I should have ignored their first comment and listened to the advice to deactivate first. Anyway, from the ftp directory I renamed the bp_group_calendar folder and that seemed restore functionality, which makes me think there maybe and incompatibility between version 1.1.2 and the group calendar plugin. Are you running this plugin on the latest version?

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.